Zorveus LogoZorveusDOCS

Credit Grants

Issue consumable, expiring AI credit balances to specific product users.

Credit Grants

POST/product-users/{product_user_id}/credit-grants
Service Key (Bearer zrv_service_...)

Credit grants allocate dollar amounts from your startup's budget to individual customers.

Service Key InserterInteractive
Paste your Zorveus key to dynamically update all code snippets below.

Issue a Credit Grant

curl -X POST https://api.zorveus.com/product-users/usr_cust_94821/credit-grants \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer zrv_service_your_service_key" \
  -d '{
    "amount": "10.00",
    "currency": "USD",
    "expires_at": "2026-12-31T23:59:59Z",
    "description": "Welcome promotion credit grant"
  }'
Was this page helpful?
Edit this page on GitHub

On this page